Bug 41212 - installer problem mentioning anaconda
installer problem mentioning anaconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-18 04:42 EDT by Vincent Keunen
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 11:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
text saved upon request from the installer (914 bytes, text/plain)
2001-05-18 04:44 EDT, Vincent Keunen
no flags Details

  None (edit)
Description Vincent Keunen 2001-05-18 04:42:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (Windows NT 5.0; U)

Description of problem:
Sorry I'm not an expert so I can't say much.  Here is the saved message (copy to floppy etc...): see "additional information"

How reproducible:
Always

Steps to Reproduce:
1. bott from cd red hat 7.0
2. upgrade (was 6.2 system, and 5.1 before)
3. this problem appears in the middle of the install
	

Additional info:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: '/mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm
total: 0
self: <todo.ToDo instance at 820c670>
h: <header object at 8966a68>
amount: 0
intf: <progress_gui.InstallProgressWindow instance at 84eb440>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>
Comment 1 Vincent Keunen 2001-05-18 04:44:06 EDT
Created attachment 18872 [details]
text saved upon request from the installer
Comment 2 Brent Fox 2001-05-18 15:24:21 EDT
I'm pretty sure that you have a bad cd.  Did you buy it from us, or did you
download it from somewhere?  Also, when the installer is in the crashed state,
can you press <Ctrl><Atl><F3> and <Ctrl><Alt><F4> and see if there are any cdrom
"seek error" messages?  If there are, then the cd is probably bad somehow.
Comment 3 Brent Fox 2001-05-29 11:22:17 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.